/**
* Copyright 2007 - 2011 Skyway Software, Inc.
*/

package org.skyway.spring.util.dao.call.oracle;

import java.sql.Array;
import java.sql.Connection;

@SuppressWarnings("nls")
public class OracleARRAY extends OracleIntrospector{
	private Array ARRAY;
	
	public OracleARRAY(OracleArrayDescriptor arrayDescriptor, Connection connection, Object structs){
		this.ARRAY = createARRAY(arrayDescriptor, connection, structs);  
	}
	
	@Override
	public String getClassName() {
		return "oracle.sql.ARRAY";
	}

	@Override
	public Array getInstance() {
		return ARRAY;
	}

	private Array createARRAY(OracleArrayDescriptor arrayDescriptor, Connection connection, Object structs){
		return (Array)findAndExecuteConstructor(arrayDescriptor.getInstance(), connection, structs);
	}
}
