/**
* Copyright 2007 - 2011 Skyway Software, Inc.
*/

package org.skyway.spring.util.dao.call.oracle;

import java.sql.Connection;
import java.sql.Struct;
import java.util.Map;

@SuppressWarnings("nls")
public class OracleSTRUCT extends OracleIntrospector{
	private Struct STRUCT;
	
	public OracleSTRUCT(OracleStructDescriptor structDescriptor, Connection connection, Map<String, Object> structMap){
		this.STRUCT = createSTRUCT(structDescriptor, connection, structMap);  
	}
	
	@Override
	public String getClassName() {
		return "oracle.sql.STRUCT";
	}

	@Override
	public Struct getInstance() {
		return STRUCT;
	}

	private Struct createSTRUCT(OracleStructDescriptor structDescriptor, Connection connection, Map<String, Object> structMap){
		return (Struct)findAndExecuteConstructor(structDescriptor.getInstance(), connection, structMap);
	}
}
