/**
* Copyright 2007 - 2011 Skyway Software, Inc.
*/

package org.skyway.spring.util.dao.call.oracle;

@SuppressWarnings("nls")
public class OracleTIMESTAMP extends OracleIntrospector{
	private Object TIMESTAMP;
	
	public OracleTIMESTAMP(Object TIMESTAMP){
		this.TIMESTAMP = TIMESTAMP;
	}
	
	public static String getTIMESTAMPClassName(){
		return "oracle.sql.TIMESTAMP";
	}
	
	@Override
	public String getClassName() {
		return getTIMESTAMPClassName();
	}

	@Override
	public Object getInstance() {
		return TIMESTAMP;
	}
	
	public Object timestampValue(){
		return findAndExecuteMethod("timestampValue");
	}
}
