package org.skyway.spring.util.jsf;

import org.apache.commons.lang.time.FastDateFormat;

/**
 * Static class that stores the default patterns.
 * 
 * @author jperkins
 *
 */
public class DateFormatPatterns {
	public static String SHORT_DATE_PATTERN = FastDateFormat.getDateInstance(FastDateFormat.SHORT).getPattern();
	public static String SHORT_TIME_PATTERN = FastDateFormat.getTimeInstance(FastDateFormat.SHORT).getPattern();
	public static String SHORT_DATETIME_PATTERN = FastDateFormat.getDateTimeInstance(FastDateFormat.SHORT, FastDateFormat.SHORT).getPattern();
}
