package org.skyway.spring.util.jsf;

/**
 * Converts java.util.Date fields to/from short date and time pattern.
 * 
 * Registered in faces-config.xml with converter id: dateTimeConverterForDate
 * 
 * @author jperkins
 *
 */
public class DateTimeConverterForDate extends ConverterForDate{
	public DateTimeConverterForDate() {
		super(DateFormatPatterns.SHORT_DATETIME_PATTERN);
	}
}
