package org.skyway.spring.util.jsf;

/**
 * Converts java.util.Calendar fields to/from short time only pattern.
 * 
 * Registered in faces-config.xml with converter id: timeConverterForCalendar
 * 
 * @author jperkins
 *
 */
public class TimeConverterForCalendar extends ConverterForCalendar{
	public TimeConverterForCalendar() {
		super(DateFormatPatterns.SHORT_TIME_PATTERN);
	}
}
