package org.skyway.spring.util.jsf;

/**
 * Converts java.util.Calendar fields to/from short date only pattern.
 * 
 * Registered in faces-config.xml with converter id: dateConverterForCalendar
 * 
 * @author jperkins
 *
 */
public class DateConverterForCalendar extends ConverterForCalendar{
	public DateConverterForCalendar() {
		super(DateFormatPatterns.SHORT_DATE_PATTERN);
	}
}
