package org.skyway.spring.util.jsf;

/**
 * Converts java.util.Date fields to/from short date only pattern.
 * 
 * Registered in faces-config.xml with converter id: dateConverterForDate
 * 
 * @author jperkins
 *
 */
public class DateConverterForDate extends ConverterForDate{
	public DateConverterForDate() {
		super(DateFormatPatterns.SHORT_DATE_PATTERN);
	}
}
