package org.skyway.spring.util.jsf;

/**
 * Converts java.util.Calendar fields to/from short date and time pattern.
 * 
 * Registered in faces-config.xml with converter id: dateTimeConverterForCalendar
 * 
 * @author jperkins
 *
 */
public class DateTimeConverterForCalendar extends ConverterForCalendar{
	public DateTimeConverterForCalendar() {
		super(DateFormatPatterns.SHORT_DATETIME_PATTERN);
	}
}
