package org.skyway.spring.util.jsf;

/**
 * Converts java.util.Date fields to/from short time only pattern.
 * 
 * Registered in faces-config.xml with converter id: timeConverterForDate
 * 
 * @author jperkins
 *
 */
public class TimeConverterForDate extends ConverterForDate{
	public TimeConverterForDate(String pattern){
		super(DateFormatPatterns.SHORT_TIME_PATTERN);
	}
}
